import 'package:widgets/load_state_layout.dart';

class HistoryListState {

  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  List<String> datas; //页面列表数据

  // ===================================  Begin  ↓  ===================================

  HistoryListState({
    this.loadingState = LoadState.State_Loading,
    this.errorMessage,
    required this.datas,
  });

  HistoryListState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    bool? needShowPlaceholder,
    List<String>? datas,
  }) {
    return HistoryListState(
      errorMessage: errorMessage ?? this.errorMessage,
      loadingState: loadingState ?? this.loadingState,
      datas: datas ?? this.datas,
    );
  }
}
