/// YApi QuickType插件生成，具体参考文档:https://plugins.jetbrains.com/plugin/18847-yapi-quicktype/documentation

import 'dart:convert';

import 'package:widgets/load_state_layout.dart';

class PropertyNewsState {
    //页面 LoadView 状态的展示
    LoadState loadingState;
    String? errorMessage;
    List<Map<String, dynamic>>? list;

    PropertyNewsState({
        this.loadingState = LoadState.State_Loading,
        String? errorMessage,
        required this.list,
    });

    PropertyNewsState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    List<Map<String, dynamic>>? list,
  }) {
    return PropertyNewsState(
      loadingState: loadingState ?? this.loadingState,
      errorMessage: errorMessage ?? this.errorMessage,
      list: list ?? this.list,
    );
  }
}
