import 'package:cs_resources/generated/l10n.dart';

class servicesConstants {
   static Map<String, Map<String, dynamic>> servicesType = {
     "houseCleaning": {
       "text": S.current.house_cleaning,
       "type": "paid",
       'code': "House Cleaning",  // 业务做 标识 字段
     },
     "airConditioner": {
       "text": S.current.air_conditioning_cleaning,
       "type": "paid",
       'code': "Air Conditioning Cleaning", // 业务做 标识 字段
     },
     "repairAirConditioner": {
       "text": S.current.maintenance,
       "type": "inquiry",
       'code': "Repair air Conditioner",  // 业务做 标识 字段
     }
  };

   static Map<String, dynamic> servicesStatus = {
     "0": {
       "text": S.current.pending,
       "type": "pending",
       'code': 0,
     },
     "1": {
       "text": S.current.in_progress,
       "type": "inProgress",
       'code': 1,
     },
     "2": {
       "text": S.current.completed,
       "type": "completed",
       'code': 2,
     },
     "3": {
       "text": S.current.canceled,
       "type": "canceled",
       'code': 3,
     }
  };

   static Map<int, List<Map<String, dynamic>>> servicesStatusActionBtnList = {
     // pending, inProgress, completed, canceled
     servicesStatus['0']['code']: [
       actionBtn['0'],
       actionBtn['1'],
       actionBtn['2'],
     ],
     servicesStatus['1']['code']: [
       actionBtn['0'],
       actionBtn['1'],
       actionBtn['2'],
     ],
     servicesStatus['2']['code']: [
       actionBtn['3'],
       actionBtn['4'],
     ],
     servicesStatus['3']['code']: [
       actionBtn['3'],
     ]
   };

  static Map<String, dynamic> actionBtn = {
     "0": {
       "text": S.current.cancel,
       "type": "cancel",
       'code': 0,
       'btnColor': '#FFFE6C00',
       'btnWidth': 65.0,
       'btnHeight': 35.0,
     },
     "1": {
       "text": S.current.contact_merchant,
       "type": "contactMerchant",
       'code': 1,
       'btnColor': '#FF01B5EB',
       'btnWidth': 115.0,
       'btnHeight': 35.0,
     },
    "2": {
      "text": S.current.contact_service_personnel,
      "type": "contactServicePersonnel",
      'code': 2,
      'btnColor': '#FF01CA48',
      'btnWidth': 115.0,
      'btnHeight': 35.0,
    },
    "3": {
      "text": S.current.delete,
      "type": "delete",
      'code': 3,
      'btnColor': '#FFFE4066',
      'btnWidth': 98.0,
      'btnHeight': 30.0,
    },
    "4": {
      "text": S.current.evaluate,
      "type": "evaluate",
      'code': 4,
      'btnColor': '#FF01B5EB',
      'btnWidth': 98.0,
      'btnHeight': 30.0,
    }
  };
}